Bug 485457 - [RFE] Implement phase nesting
[RFE] Implement phase nesting
Status: NEW
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Hudlicky
:
Depends On: bl-journal-overhaul
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 11:49 EST by Petr Muller
Modified: 2016-09-19 22:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple bugfix (14.59 KB, patch)
2009-04-24 08:11 EDT, Petr Muller
no flags Details | Diff
real simple bugfix (890 bytes, patch)
2009-04-24 08:13 EDT, Petr Muller
no flags Details | Diff

  None (edit)
Description Petr Muller 2009-02-13 11:49:50 EST
Description of problem:

I've encountered a few tests, where I would like to nest phases, just for the sake of a test structure and readability. I think no real functionality changes should occur, just allowing this structure should be enough.
Comment 1 Petr Šplíchal 2009-03-18 10:02:59 EDT
The idea of nesting phases seems nice & useful to me. Perhaps we could make use of the possible modification of journalling-related functions to also add support for phase aborting. Which brings some new questions:

 * How to implement a phase-skip?
 * Should the phases rather be written as functions?
Comment 2 Ales Zelinka 2009-03-18 10:29:46 EDT
+1 to phase nesting
Comment 3 Petr Muller 2009-03-18 11:00:59 EDT
Phase aborting is really a desired function to have - it lives in our specs from the very beginning. I just still don't know how to handle clean-up. No idea how to skip phases (I've experimented with noexec option, but once this is turned on, one can't turn it off again)

I don't like the idea of functions - it brings a lot of troubles (variable validity, nesting...).

I wonder if we could just ignore the cleanup.
Comment 4 Jan Hutař 2009-04-06 02:47:28 EDT
+1:

Once we have phase nesting as suggested in bug 464155 comment #2, it would be nice if each rlPhaseEnd generates result as rlJournalPrintText, but only for that phase (and it's children).

When I click in the WebUI on "Test" phase which failed, I do not want to see "Setup" phase which was OK. We could also have some fake "This is a test's real end" phase, which would be parent of all phases (and so, it would contain all the phases).

And more tricky part: would be nice, to have TESTOUT.log divided phase-by-phase. Like TESTOUT-Setup.log, TESTOUT-Test.log and TESTOUT-Cleanup.log - in the simplest case.
Comment 5 Petr Muller 2009-04-24 08:10:33 EDT
I've checked in the first step, under obvious rule: this bugfix enables very simple nesting: it places asserts and logs into the right phases, but it doesnt reflect the nesting itself in the log.
Comment 6 Petr Muller 2009-04-24 08:11:50 EDT
Created attachment 341147 [details]
simple bugfix
Comment 7 Petr Muller 2009-04-24 08:13:03 EDT
Created attachment 341149 [details]
real simple bugfix
Comment 9 Fedora Admin XMLRPC Client 2014-09-02 08:13:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Dalibor Pospíšil 2015-06-12 12:58:56 EDT
As we could live without that until now I do not see much demand on this.

Note You need to log in before you can comment on or make changes to this bug.